import EE from '@antv/event-emitter';
import { IBase } from '../interfaces';
declare abstract class Base extends EE implements IBase {
    /**
     * @private
     * 内部属性，用于 get,set
     * @type {object}
     */
    cfg: object;
    /**
     * @private
     * 事件集合
     * @type {object}
     */
    events: object;
    /**
     * 是否被销毁
     * @type {boolean}
     */
    destroyed: boolean;
    /**
     * @protected
     * 默认的配置项
     * @returns {object} 默认的配置项
     */
    getDefaultCfg(): {};
    constructor(cfg: any);
    get(name: any): any;
    set(name: any, value: any): void;
    destroy(): void;
}
export default Base;
