import { IContainer, ICtor, IShape, IGroup, IElement } from '../interfaces';
import { ShapeBase, BBox } from '../types';
import Element from './element';
declare abstract class Container extends Element implements IContainer {
    isCanvas(): boolean;
    getBBox(): BBox;
    getCanvasBBox(): BBox;
    abstract getShapeBase(): ShapeBase;
    abstract getGroupBase(): ICtor<IGroup>;
    getDefaultCfg(): {
        visible: boolean;
        capture: boolean;
    };
    addShape(...args: any[]): IShape;
    addGroup(...args: any[]): IGroup;
    getCanvas(): any;
    getShape(x: number, y: number): IShape;
    _findShape(children: IElement[], x: number, y: number): any;
    add(element: IElement): void;
    _applyElementMatrix(element: any): void;
    getChildren(): IElement[];
    sort(): void;
    clear(): void;
    destroy(): void;
}
export default Container;
